Change a site's label, worker and icon (logged)
PUT
/api/v1/workspaces/{workspace}/push/sites/{siteId}
package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/push/sites/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
payload := strings.NewReader("{ \"iconMediaId\": \"example\", \"label\": \"example\", \"workerMode\": \"file\", \"workerPath\": \"example\" }")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/push/sites/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"iconMediaId":"example","label":"example","workerMode":"file","workerPath":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/push/sites/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "iconMediaId": "example", "label": "example", "workerMode": "file", "workerPath": "example" }'Permission: providers:manage (sensitive)
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace
required
Workspace slug
string
Workspace slug
siteId
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
iconMediaId
string
label
required
string
workerMode
required
string
workerPath
required
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
addedAt
required
string format: date-time
addedBy
required
string
demo
required
boolean
host
required
string
iconUrl
string
id
required
string
kind
required
string
label
required
string
linked
required
integer format: int64
origin
required
string
prompts
required
Array<object>
object
formId
required
string
liveSince
string format: date-time
name
required
string
status
required
string
style
required
string
snippetSeenAt
string format: date-time
subscribers
required
integer format: int64
worker
required
object
checkedAt
string format: date-time
current
required
integer format: int64
detail
string
httpStatus
integer format: int64
mode
required
string
path
required
string
scope
required
string
status
required
string
url
required
string
version
integer format: int64
Example
{ "kind": "publication", "prompts": [ { "status": "draft", "style": "bar" } ], "worker": { "mode": "file", "status": "built_in" }}default
Section titled “default”Error
Media typeapplication/problem+json
object
code
Stable error code, e.g. permission_denied
string
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
helpers
Members who hold the missing permission
Array<string>
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
meta
object
key
additional properties
permission
The missing permission key
string
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}